## Browser usage

See how to [use handlebars-helpers in the browser](https://github.com/doowb/handlebars-helpers-browserify-example).

## Usage

The main export returns a function that needs to be called to expose the object of helpers.

```js
var helpers = require('{%= name %}')();
//=> returns object with all (130+) helpers
```

**Get a specific collection**

Helper collections are exposed as getters, so only the helpers you want will be required and loaded.

```js
var helpers = require('{%= name %}');
var math = helpers.math();
//=> only the `math` helpers

var helpers = require('{%= name %}');
var array = helpers.array();
//=> only the `collections` helpers
```

**Optionally pass your own handlebars**

```js
var handlebars = require('handlebars');
var helpers = require('{%= name %}')({
  handlebars: handlebars
});

// or for a specific collection
var math = helpers.math({
  handlebars: handlebars
});
```

## Helpers
{%= include("docs/toc.md") %}

***

{%= include("docs/sections.md") %}

***

## Utils

The following utils are exposed on `.utils`.

{%= apidocs('lib/utils/index.js') %}

***


[operators]: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Operators/Arithmetic_Operators

## History

{%= changelog(yaml(read("CHANGELOG"))) %}